MSK4TextInternal::Font Struct Reference

Internal: class to store a font properties. More...

## Public Types

enum | FieldType { None, Page, Eobj, Note, DTT, DTTUnk }
| the field type: pagenumber, note, DTT=date/time/type More...

## Public Member Functions

| Font (int fId=3, int size=12)
| constructor: default value Geneva:12 More...
| Font (MWAWFont const &ft)
| copy constructor More...

## Public Attributes

MWAWFont | m_font
| the font More...
FieldType | m_fieldType
| the field type More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator << More...

## Detailed Description

Internal: class to store a font properties.

## Member Enumeration Documentation

enum MSK4TextInternal::Font::FieldType

the field type: pagenumber, note, DTT=date/time/type

Enumerator
None |
Page |
Eobj |
Note |
DTT |
DTTUnk |

## Constructor & Destructor Documentation

MSK4TextInternal::Font::Font | ( | int | fId = `3`,
|  | int | size = `12`
| ) |  |

inline

constructor: default value Geneva:12

MSK4TextInternal::Font::Font | ( | MWAWFont const & | ft | ) |

inline

copy constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |

friend

operator <<

## Member Data Documentation

std::string MSK4TextInternal::Font::m_error

a string used to store the parsing errors

Referenced by MSK4TextInternal::operator<<(), and MSK4Text::readFont().

FieldType MSK4TextInternal::Font::m_fieldType

the field type

Referenced by MSK4TextInternal::operator<<(), and MSK4Text::readFont().

MWAWFont MSK4TextInternal::Font::m_font

the font

Referenced by MSK4Text::readFont().

The documentation for this struct was generated from the following file:

- MSK4Text.cxx